Loading...
Searching...
No Matches
GlobalMovePointsOp< TreeT >::CopyIterator Struct Reference

`#include <openvdb/points/PointMove.h>`

## Public Member Functions

| CopyIterator (const LeafT &leaf, const IndexArray &sortedIndices, const IndexTripleArray &moveIndices, IndexArray &offsets)
| operator bool () const
void | reset (Index startIndex, Index endIndex)
CopyIterator & | operator++ ()
Index | leafIndex (Index i) const
Index | sourceIndex () const
Index | targetIndex () const

## Constructor & Destructor Documentation

## CopyIterator()

template<typename TreeT>

CopyIterator | ( | const LeafT & | leaf,
|  | const IndexArray & | sortedIndices,
|  | const IndexTripleArray & | moveIndices,
|  | IndexArray & | offsets )

inline

## Member Function Documentation

## leafIndex()

template<typename TreeT>

Index leafIndex | ( | Index | i | ) | const

inline

## operator bool()

template<typename TreeT>

operator bool | ( |  | ) | const

inline

## operator++()

template<typename TreeT>

CopyIterator & operator++ | ( |  | ) |

inline

## reset()

template<typename TreeT>

void reset | ( | Index | startIndex,
|  | Index | endIndex )

inline

## sourceIndex()

template<typename TreeT>

Index sourceIndex | ( |  | ) | const

inline

## targetIndex()

template<typename TreeT>

Index targetIndex | ( |  | ) | const

inline